package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the membergroup database table.
 * 
 */
@Entity
public class MemberGroup implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private MemberGroupPK id;

	//bi-directional many-to-one association to FilesGroup
	@OneToMany(mappedBy="membergroup")
	private List<FilesGroup> filesgroups;

	//bi-directional many-to-one association to GroupCommentStatus
	@OneToMany(mappedBy="membergroup")
	private List<GroupCommentStatus> groupcommentstatuses;

	//bi-directional many-to-one association to GroupStatus
	@OneToMany(mappedBy="membergroup")
	private List<GroupStatus> groupstatuses;

	//bi-directional many-to-one association to GroupStatusLike
	@OneToMany(mappedBy="membergroup")
	private List<GroupStatusLike> groupstatuslikes;

	public MemberGroup() {
	}

	public MemberGroupPK getId() {
		return this.id;
	}

	public void setId(MemberGroupPK id) {
		this.id = id;
	}

	public List<FilesGroup> getFilesgroups() {
		return this.filesgroups;
	}

	public void setFilesgroups(List<FilesGroup> filesgroups) {
		this.filesgroups = filesgroups;
	}

	public List<GroupCommentStatus> getGroupcommentstatuses() {
		return this.groupcommentstatuses;
	}

	public void setGroupcommentstatuses(List<GroupCommentStatus> groupcommentstatuses) {
		this.groupcommentstatuses = groupcommentstatuses;
	}

	public List<GroupStatus> getGroupstatuses() {
		return this.groupstatuses;
	}

	public void setGroupstatuses(List<GroupStatus> groupstatuses) {
		this.groupstatuses = groupstatuses;
	}

	public List<GroupStatusLike> getGroupstatuslikes() {
		return this.groupstatuslikes;
	}

	public void setGroupstatuslikes(List<GroupStatusLike> groupstatuslikes) {
		this.groupstatuslikes = groupstatuslikes;
	}

}